module(...)
--auto generate data
DATA={
	[101]={
		desc=[[Increase Attack]],
		icon=101,
		name=[[ATK UP]],
		show_effect=0,
		sub_type=1,
		tips_effect=[[ATK UP]],
	},
	[102]={
		desc=[[Can only using using auto attack to the target]],
		icon=102,
		name=[[TAUNT]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[TAUNT]],
	},
	[103]={
		desc=[[Take a part of the damage taken by your allies]],
		icon=103,
		name=[[ABSORB]],
		show_effect=0,
		sub_type=1,
		tips_effect=[[ABSORB]],
	},
	[104]={
		desc=[[Decrease Speed]],
		icon=104,
		name=[[SPD DOWN]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[SPD DOWN]],
	},
	[105]={
		desc=[[Disable the action, this effect cannot cleanse]],
		icon=105,
		name=[[DISABLE]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[DISABLE]],
	},
	[106]={
		desc=[[Decrease status resistant]],
		icon=106,
		name=[[RESISTANT DOWN]],
		show_effect=0,
		sub_type=1,
		tips_effect=[[RESISTANT DOWN]],
	},
	[107]={
		desc=[[Being counter attack after using the skill, cannot action and being DEF DOWN]],
		icon=107,
		name=[[BREAK]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[BREAK]],
	},
	[108]={
		desc=[[Disable the action, this effect cannot cleanse]],
		icon=108,
		name=[[FREEZE]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[FREEZE]],
	},
	[109]={
		desc=[[Taking damage when end of the turn and inflict a SEAL debuff]],
		icon=109,
		name=[[CHARMS]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[CHARMS]],
	},
	[110]={
		desc=[[Increase critical damage]],
		icon=110,
		name=[[CRIT DMG UP]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[CRIT DMG UP]],
	},
	[111]={
		desc=[[Being a silence status, can only using normal attack]],
		icon=111,
		name=[[SILENCE]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[SILENCE]],
	},
	[112]={
		desc=[[Reduce all damage taken and restores HP every turn]],
		icon=112,
		name=[[HP SHIELD]],
		show_effect=0,
		sub_type=1,
		tips_effect=[[HP SHIELD]],
	},
	[113]={
		desc=[[The enemy HP will restore when the unit with BLOOD debuff being defeated.]],
		icon=113,
		name=[[BLOOD SACRIFICE]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[BLOOD SACRIFICE]],
	},
	[114]={
		desc=[[Inflict damage taken when receive restore HP effect.]],
		icon=114,
		name=[[DOOM]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[DOOM]],
	},
	[1001]={
		desc=[[Negative the damage taken]],
		icon=1001,
		name=[[SHIELD]],
		show_effect=1,
		sub_type=1,
		tips_effect=[[SHIELD]],
	},
	[1002]={
		desc=[[Active Invulnerable all damage taken has chance most attacks will not lower your HP below 1 then entering to multi-hit]],
		icon=1002,
		name=[[INVULNERABLE]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[INVULNERABLE]],
	},
	[1003]={
		desc=[[According skill level will increase random multiple hit count of normal attack]],
		icon=1003,
		name=[[HIT COUNT]],
		show_effect=1,
		sub_type=2,
		tips_effect=[[HIT COUNT]],
	},
	[1004]={
		desc=[[Loss 3% max HP every turn]],
		icon=1004,
		name=[[BERSERK]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[BERSERK]],
	},
	[1005]={
		desc=[[Speed decrease to 0]],
		icon=1005,
		name=[[TIME STOP]],
		show_effect=1,
		sub_type=1,
		tips_effect=[[TIME STOP]],
	},
	[1006]={
		desc=[[Increase critical hit rate]],
		icon=1006,
		name=[[CRIT UP]],
		show_effect=0,
		sub_type=1,
		tips_effect=[[CRIT UP]],
	},
	[1007]={
		desc=[[Increases attack stack up 5 times]],
		icon=1007,
		name=[[AURORA]],
		show_effect=0,
		sub_type=3,
		tips_effect=[[AURORA]],
	},
	[1008]={
		desc=[[Increases critical hit stack up 5 times]],
		icon=1006,
		name=[[MULTI-CRIT]],
		show_effect=0,
		sub_type=3,
		tips_effect=[[MULTI-CRIT]],
	},
	[1009]={
		desc=[[According to the number of marks increase the number of skill targets]],
		icon=1009,
		name=[[NISI]],
		show_effect=1,
		sub_type=3,
		tips_effect=[[NISI]],
	},
	[1010]={
		desc=[[According to the number of marks increase the number of skill attacks]],
		icon=1010,
		name=[[ERUPTION]],
		show_effect=1,
		sub_type=3,
		tips_effect=[[ERUPTION]],
	},
	[1011]={
		desc=[[When during this effect, the unit cant be defeated and make sure taking critical hit, the effect will gone if unit is dead]],
		icon=1011,
		name=[[LIVING DEAD]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[LIVING DEAD]],
	},
	[1012]={
		desc=[[The explosion skill, dealing the stacked damage]],
		icon=1012,
		name=[[DOOM]],
		show_effect=1,
		sub_type=3,
		tips_effect=[[DOOM]],
	},
	[1013]={
		desc=[[End of every turn will increase attack]],
		icon=101,
		name=[[ATK UP (STACK)]],
		show_effect=0,
		sub_type=3,
		tips_effect=[[ATK UP (STACK)]],
	},
	[1014]={
		desc=[[Can only using using auto attack to the target]],
		icon=102,
		name=[[TAUNT]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[TAUNT]],
	},
	[1015]={
		desc=[[Increase Defend]],
		icon=1015,
		name=[[DEF UP]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[DEF UP]],
	},
	[1016]={
		desc=[[All damage taken will be sharing to all allies]],
		icon=1016,
		name=[[TETHER]],
		show_effect=1,
		sub_type=6,
		tips_effect=[[TETHER]],
	},
	[1017]={
		desc=[[Being stun, cannot take action]],
		icon=1017,
		name=[[STUN]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[STUN]],
	},
	[1018]={
		desc=[[Being a silence status, can only using normal attack]],
		icon=111,
		name=[[SILENCE]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[SILENCE]],
	},
	[1019]={
		desc=[[Cannot action, when being attacked has 50% chance woke up]],
		icon=1019,
		name=[[SLEEP]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[SLEEP]],
	},
	[1020]={
		desc=[[Decrease Speed]],
		icon=104,
		name=[[SPD DOWN]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[SPD DOWN]],
	},
	[1021]={
		desc=[[Increase Speed]],
		icon=1021,
		name=[[SPD UP]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[SPD UP]],
	},
	[1022]={
		desc=[[When taking damage without status has chance inflict stun to attacker]],
		icon=1022,
		name=[[COUNTER]],
		show_effect=1,
		sub_type=5,
		tips_effect=[[COUNTER]],
	},
	[1023]={
		desc=[[Disable all rune effect]],
		icon=1023,
		name=[[DISABLE RUNE]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[DISABLE RUNE]],
	},
	[1024]={
		desc=[[Cannot taking recovery effect]],
		icon=1024,
		name=[[CURSED]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[CURSED]],
	},
	[1025]={
		desc=[[Attack increases a certain percentage]],
		icon=101,
		name=[[ATK UP (%)]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[ATK UP (%)]],
	},
	[1026]={
		desc=[[Damage taken when using Special Skill]],
		icon=1026,
		name=[[REFLECT]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[REFLECT]],
	},
	[1027]={
		desc=[[Being a silence status, can only using normal attack]],
		icon=111,
		name=[[SILENCE]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[SILENCE]],
	},
	[1028]={
		desc=[[Increase damage dealing]],
		icon=1028,
		name=[[DMG UP]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[DMG UP]],
	},
	[1029]={
		desc=[[Increase Speed]],
		icon=1021,
		name=[[SPD UP]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[SPD UP]],
	},
	[1030]={
		desc=[[Slowest taking action]],
		icon=1030,
		name=[[SLOW]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[SLOW]],
	},
	[1031]={
		desc=[[Being the poison status, Lose max HP after taking action.]],
		icon=1031,
		name=[[POISON]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[POISON]],
	},
	[1032]={
		desc=[[Disable passive skill]],
		icon=1032,
		name=[[DISABLE PASSIVE]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[DISABLE PASSIVE]],
	},
	[1033]={
		desc=[[Rune Effect-Decrease defense]],
		icon=1015,
		name=[[DEF DOWN]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[DEF DOWN]],
	},
	[1034]={
		desc=[[Rune Effect-Increase Speed]],
		icon=1021,
		name=[[SPD UP]],
		show_effect=0,
		sub_type=2,
		tips_effect=[[SPD UP]],
	},
	[1035]={
		desc=[[Rune.Negative the damage taken]],
		icon=1001,
		name=[[SHIELD]],
		show_effect=1,
		sub_type=1,
		tips_effect=[[SHIELD]],
	},
	[1036]={
		desc=[[Increase critical damage]],
		icon=110,
		name=[[CRIT DMG UP]],
		show_effect=0,
		sub_type=3,
		tips_effect=[[CRIT DMG UP]],
	},
	[1037]={
		desc=[[Increase critical hit rate]],
		icon=1006,
		name=[[CRIT UP]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[CRIT UP]],
	},
	[1038]={
		desc=[[Every action of the allies will regen HP after attacking]],
		icon=1038,
		name=[[REGEN]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[REGEN]],
	},
	[1039]={
		desc=[[Increase attack from ally sacrifice]],
		icon=1039,
		name=[[BLESSING]],
		show_effect=0,
		sub_type=3,
		tips_effect=[[BLESSING]],
	},
	[1040]={
		desc=[[For every stack, take 10% damage, but each time taking damage will decrease 1]],
		icon=1040,
		name=[[DISPEL]],
		show_effect=0,
		sub_type=3,
		tips_effect=[[DISPEL]],
	},
	[1041]={
		desc=[[Rune Effect-Decrease Speed]],
		icon=1030,
		name=[[SPD DOWN]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[SPD DOWN]],
	},
	[1042]={
		desc=[[Rune Effect-Decrease Defend]],
		icon=1033,
		name=[[DEF DOWN]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[DEF DOWN]],
	},
	[1043]={
		desc=[[Kill all the enemy force and blocked BOSS in 1 turn]],
		icon=105,
		name=[[QUICK STRIKE]],
		show_effect=0,
		sub_type=2,
		tips_effect=[[QUICK STRIKE]],
	},
	[1044]={
		desc=[[Increase 10% damage]],
		icon=110,
		name=[[DMG UP]],
		show_effect=0,
		sub_type=1,
		tips_effect=[[DMG UP]],
	},
	[1045]={
		desc=[[Decrease 10% damage]],
		icon=112,
		name=[[DMG DOWN]],
		show_effect=0,
		sub_type=1,
		tips_effect=[[DMG DOWN]],
	},
	[1049]={
		desc=[[All damage taken will be sharing to enemy]],
		icon=1049,
		name=[[CHAIN]],
		show_effect=1,
		sub_type=1,
		tips_effect=[[CHAIN]],
	},
	[1050]={
		desc=[[Increase damage taken 50%]],
		icon=1033,
		name=[[BROKEN]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[BROKEN]],
	},
	[1051]={
		desc=[[The selection priority single target skill, priority level is lower than taunt status]],
		icon=1051,
		name=[[ENMITY]],
		show_effect=1,
		sub_type=5,
		tips_effect=[[ENMITY]],
	},
	[1052]={
		desc=[[Decrease Attack]],
		icon=114,
		name=[[ATK DOWN]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[ATK DOWN]],
	},
	[1053]={
		desc=[[Increase explosion power of Self-Detrustion]],
		icon=1053,
		name=[[AETHER]],
		show_effect=0,
		sub_type=3,
		tips_effect=[[AETHER]],
	},
	[1054]={
		desc=[[All damage taken convert to restore HP]],
		icon=1054,
		name=[[CONVERT]],
		show_effect=0,
		sub_type=3,
		tips_effect=[[CONVERT]],
	},
	[1055]={
		desc=[[Increase single skill power]],
		icon=1055,
		name=[[SINGLE UP]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[SINGLE UP]],
	},
	[1056]={
		desc=[[Increase attack from defend]],
		icon=1056,
		name=[[DEVOTION]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[DEVOTION]],
	},
	[1057]={
		desc=[[Decrease critical hit resistant]],
		icon=1057,
		name=[[CRIT RES DOWN]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[CRIT RES DOWN]],
	},
	[1058]={
		desc=[[Taking extra damage]],
		icon=1033,
		name=[[EXTRA DAMAGE]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[EXTRA DAMAGE]],
	},
	[1059]={
		desc=[[Grant all abilities]],
		icon=1059,
		name=[[POWER UP]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[POWER UP]],
	},
	[1060]={
		desc=[[Increase critical hit rate]],
		icon=1006,
		name=[[CRIT UP]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[CRIT UP]],
	},
	[1061]={
		desc=[[Increase critical hit rate]],
		icon=1006,
		name=[[CRIT UP]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[CRIT UP]],
	},
	[1062]={
		desc=[[Decrease critical hit rate]],
		icon=1062,
		name=[[CRIT DOWN]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[CRIT DOWN]],
	},
	[1063]={
		desc=[[Increase critical damage]],
		icon=110,
		name=[[CRIT DMG UP]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[CRIT DMG UP]],
	},
	[1064]={
		desc=[[The unit has been defeated by taking damage will inflict sleep to attacker]],
		icon=1022,
		name=[[SLEEP-DETRUSTION]],
		show_effect=1,
		sub_type=1,
		tips_effect=[[SLEEP-DETRUSTION]],
	},
	[1065]={
		desc=[[After the action, entered the sleep status]],
		icon=1011,
		name=[[SLEEP-SELF]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[SLEEP-SELF]],
	},
	[1066]={
		desc=[[Increase normal attack damage and attack the monster]],
		icon=101,
		name=[[N-ATK UP]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[N-ATK UP]],
	},
	[1067]={
		desc=[[Maker damage, increase damage taken]],
		icon=109,
		name=[[MARK DMG]],
		show_effect=1,
		sub_type=4,
		tips_effect=[[MARK DMG]],
	},
	[1068]={
		desc=[[Taking extra damage]],
		icon=1033,
		name=[[EXTRA DAMAGE]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[EXTRA DAMAGE]],
	},
	[1069]={
		desc=[[Increase inflict status rate]],
		icon=109,
		name=[[STATUS UP]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[STATUS UP]],
	},
	[1070]={
		desc=[[Dealing damage every action]],
		icon=1033,
		name=[[DOT]],
		show_effect=0,
		sub_type=4,
		tips_effect=[[DOT]],
	},
	[1071]={
		desc=[[Increase attack for monster by 20% BOSS attack]],
		icon=101,
		name=[[ENDLESS]],
		show_effect=0,
		sub_type=2,
		tips_effect=[[ENDLESS]],
	},
	[1072]={
		desc=[[The bombs explosion after 2 actions, dealing damage 50% damage to all enemies]],
		icon=1012,
		name=[[EXPLOSION]],
		show_effect=0,
		sub_type=2,
		tips_effect=[[EXPLOSION]],
	},
	[2001]={
		desc=[[Every 5 turn increase 5% damage (Arena)]],
		icon=1028,
		name=[[ARENA-DAMAGE UP]],
		show_effect=1,
		sub_type=1,
		tips_effect=[[ARENA-DAMAGE UP]],
	},
}
